//#define XERR
#include "incidence.ih"

void Incidence::Params::vary(ostream &out)
{
    for (auto &vsd: d_vsd)
        vsd.vary();

    out << "    " << 
                (
                    not Globals::isBreast() ?
                        Globals::simTypeLabel(LC)
                    :
                        s_incidence[d_idx]
                ) << "\n"
           "      lifetimeRisk:   ";
    d_vsd[0].showVary(out);

    out << "      meanAge:        ";
    d_vsd[1].showVary(out);
}
